<template>
  <div class="last-product-configuration">
    <h1>Last Configuration</h1>
    <h1>Limitacion actual : {{ actualLimitation.value_limitation }}</h1>

    <v-text-field
      label="Introduce cuantos productos quieres que salgan en el carrusel"
      v-model="newLimitation"
      class="input-new-limitation"
    ></v-text-field>
    <v-btn depressed small color="green" @click="updateLimitation"
      >Actualizar</v-btn
    >
  </div>
</template>

<script>
export default {
  name: 'LastProductConfiguration',
  props: {
    actualLimitation: {
      propType: Array,
      required: true
    }
  },
  data() {
    return {
      newLimitation: ''
    }
  },
  methods: {
    updateLimitation() {
      this.$emit('update-last-product-limitacion', this.newLimitation)
    }
  }
}
</script>

<style scoped>
h1 {
  margin-bottom: 3rem;
}
.input-new-limitation {
  margin-right: 30%;
  margin-left: 30%;
}
</style>
